GOOD解决MyEclipse工具中java compiler level does not match the version of the installed java project facet

转载 2016年06月07日 10:35:34

Java compiler level does not match the version of the installed java project facet错误的解决

因工作的关系,Eclipse开发的Java项目拷来拷去,有时候会报一个很奇怪的错误。明明源码一模一样,为什么项目复制到另一台机器上,就会报“java compiler level does not match the version of the installed java project facet”错误呢?

如图所示:


其实要解决也很简单,在资源管理器下,找到项目所在的目录,在.settings子目录里面,用文本编辑器打开org.eclipse.wst.common.project.facet.core.xml配置文件,如图所示:


修改红色画线部分,让它与项目的编译器版本设置保持一致即可。

要查看项目的编译器版本设置,在Eclipse环境中,鼠标右键选择项目,点击Properties,选择Java Compiler,可以在窗口右边看到编译器版本,如图所示:

解决java compiler level does not match the version of the installed java project facet

java compiler level does not match the version of the installed java project facet错误的解决因工作的关系,Eclips...
  • chszs
  • chszs
  • 2012年10月29日 20:21
  • 139067

Maven构建项目后项目报Error错误Java compiler level does not match the version of the installed Java project fac

项目->右键->Project Facets->修改facets中java版本(下拉箭头出)为要用的版本 Maven构建项目需注意 1.项目右键->Preferences->buildpath->jd...
  • Truong
  • Truong
  • 2013年12月08日 17:21
  • 3211

使用Maven创建项目出现Java compiler level does not match the version of the installed Java project facet解决

steps1: 查看开发工具编译java版本: 图片中可以看到java版本是1.8 step2: 在项目文件夹中: 打开项目->打开.settings—>编辑org.eclipse.ws...
  • songguangnuan
  • songguangnuan
  • 2017年04月21日 18:12
  • 330

Eclipse下Java compiler level does not match the version of the installed Java project facet的问题

问题现象:项目图标报错“Java compiler level does not match the version of the installed Java project facet.”。分析原...
  • cyq1984
  • cyq1984
  • 2011年11月10日 11:24
  • 22888

Java compiler level does not match the version of the installed Java project facet 的解决方案

今天将MyEclipse升级到 9.1 后,打开原来的工作空间,原来所有的项目都前面都显示了一个小叉叉,代码中却没有任何错误。于从 problems 视图中查看错误信息,错误信息的“Descripti...
  • hemingwang0902
  • hemingwang0902
  • 2011年10月14日 13:36
  • 14170

完美解决java compiler level does not match the version of the installed java project facet问题

当Java项目更换电脑时会出现工程打岔的问题,但是项目中没有明显的语法错误,此时我们可以观察到输出工作区Problems选项中存在java compiler level does not match ...
  • danxiaodeshitou
  • danxiaodeshitou
  • 2016年04月29日 12:37
  • 143

myeclipse工程有红叉,里面文件没错,提示Java compiler level does not match the version of the installed Java project

myeclipse工程有红叉,里面文件没错,提示:Java compiler level does not match the version of the installed Java projec...
  • washli2001
  • washli2001
  • 2014年03月11日 15:19
  • 902

Description Resource Path Location Type Java compiler level does not match the version of the ins

错误:Description Resource Path Location Type Java compiler level does not match the version ...
  • xuxuzwl
  • xuxuzwl
  • 2017年07月11日 17:10
  • 205

Description Resource Path Location Type Java compiler level does not match the version of the in解决方法

今天使用maven的时候报这个错误 然后在网上查了,是jdk的版本不匹配, 可以修改如下几个地方解决方法 1:我使用的jdk是1.8windows—proferences—java–compile...
  • u013412790
  • u013412790
  • 2016年05月25日 21:11
  • 5126

Myeclipse Java compiler level does not match the version of the installed Java project face

升级到myeclipse 9.0之后  导入工程包 有一个 Java compiler level does not match the version of the installed Java...
  • rockstar541
  • rockstar541
  • 2017年03月29日 15:01
  • 172
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:GOOD解决MyEclipse工具中java compiler level does not match the version of the installed java project facet
举报原因:
原因补充:

(最多只允许输入30个字)